# Maintainer: Antoni Aloy Torrens <aaloytorrens@gmail.com>
pkgname=motionbox
_pkgname=motionbox
pkgver=1.8.1
pkgrel=0
pkgdesc="MotionBox is a Video Browser for Motion Freedom"
arch=("amd64")
url="http://omega.gg/MotionBox/"
license=("GPL3")
depends=("libqt5core5a" "libqt5qml5" "libqt5xmlpatterns5" "qt5-image-formats-plugins" "libqt5x11extras5" "libqt5svg5" "libqt5multimedia5" "libqt5dbus5" "openssl" "qml-module-qtquick2" "vlc" "libvlc5" "libboost-system1.74.0" "libtorrent21" "libquazip5-1" "libzxingcore1" "libtorrent-rasterbar10")
source=(
    https://s3-eu-west-1.amazonaws.com/omega.gg/get/MotionBox/MotionBox-$pkgver-2-linux64.tar.gz
    https://github.com/G-P-L/AUR/raw/master/MotionBox/MotionBox.desktop
    https://github.com/G-P-L/AUR/raw/master/MotionBox/MotionBox.png
)

# Do not load strip extension
extensions=("zipman")

package() {
    install -d "$pkgdir/opt/MotionBox"
    install -d "$pkgdir/usr/bin"

    # Copy files and folders from the source tarball to /opt/MotionBox/.
    mv "$srcdir/MotionBox-$pkgver-2/" "$srcdir/MotionBox/"
    cp -r "$srcdir/MotionBox/" "$pkgdir/opt/"

    # Copy application icon to /opt/MotionBox/.
    install -Dm644 MotionBox.png "$pkgdir/opt/MotionBox/MotionBox.png"

    # Copy desktop launcher to /usr/share/applications/.
    install -Dm644 MotionBox.desktop "$pkgdir/usr/share/applications/MotionBox.desktop"

    # Link binary to /usr/bin/.
    ln -s /opt/MotionBox/usr/bin/MotionBox $pkgdir/usr/bin/MotionBox
}

sha256sums=('5ccaf8d5dfd31c9d24fea91bf09677663c5eeb3752650e9fdaff251f2baa0f66'
            'a467445d37f10dfec07fc2dbbb6d20b7fd75b215848861672839cd2760a67a21'
            '7b0f4fb92e7bc5d23fbef1a0bb9381a63fa979f28a36b2f0b4b4619b13039b72')
